﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10.6
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: false
#End Region

'激励广告 + 横幅广告
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	'-----------'-----------'-----------'-----------
	'激励广告处理标志
	'该标志必须是整个周期有效。因为界面有可能被重新创建。但是激励广告不会重新申请
	Private Flag_RewardAD_Loaded As Boolean = False '激励广告已被加载
	
	'运行状态
	Private Run_Mode As Int = 0
	Private const RUN_CREATE As Int = 0
	Private const RUN_RESUME As Int = 1
	Private const RUN_PAUSE As Int = 2
	
	Private RP_status As Byte = 0
	'bit0 PERMISSION_READ_PHONE_STATE
	'bit1 PERMISSION_ACCESS_COARSE_LOCATION
	'bit2 PERMISSION_ACCESS_FINE_LOCATION
	'bit3 PERMISSION_WRITE_EXTERNAL_STORAGE
	'bit4 PERMISSION_READ_EXTERNAL_STORAGE
	Private RP_right As Byte = 0 'Permissions Reg
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Button1 As Button '展示激励广告
	Private Button2 As Button '请求激励广告
	Private Button3 As Button '跳转到其他界面
	Private Button4 As Button '返回开始屏幕
	Private pnlBanner As Panel '横幅广告

	Private ctxt As JavaObject 'other activity context
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	
	Activity.LoadLayout("layout1")

	Run_Mode = RUN_CREATE
End Sub

Sub Activity_Resume

	ForceOro '强制改变方向
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Run_Mode = RUN_PAUSE
	ReSetOro
End Sub

Sub Activity_PermissionResult (Permission As String, Result As Boolean)
	'bit0 PERMISSION_READ_PHONE_STATE
	'bit1 PERMISSION_ACCESS_COARSE_LOCATION
	'bit2 PERMISSION_ACCESS_FINE_LOCATION
	'bit3 PERMISSION_WRITE_EXTERNAL_STORAGE
	'bit4 PERMISSION_READ_EXTERNAL_STORAGE
	Select Permission
		Case Starter.RP.PERMISSION_WRITE_EXTERNAL_STORAGE
			'bit3 PERMISSION_WRITE_EXTERNAL_STORAGE
			RP_status = RP_status + 1
			If Result Then
				RP_right = Bit.Or(RP_right,8)
			End If
		Case Starter.RP.PERMISSION_READ_EXTERNAL_STORAGE
			'bit4 PERMISSION_READ_EXTERNAL_STORAGE
			RP_status = RP_status + 1
			If Result Then
				RP_right = Bit.Or(RP_right,16)
			End If
		Case Starter.RP.PERMISSION_READ_PHONE_STATE
			'bit0 PERMISSION_READ_PHONE_STATE
			RP_status = RP_status + 1
			If Result Then
				RP_right = Bit.Or(RP_right,1)
			End If
		Case Starter.RP.PERMISSION_ACCESS_COARSE_LOCATION
			'bit1 PERMISSION_ACCESS_COARSE_LOCATION
			RP_status = RP_status + 1
			If Result Then
				RP_right = Bit.Or(RP_right,2)
			End If
		Case Starter.RP.PERMISSION_ACCESS_FINE_LOCATION
			'bit2 PERMISSION_ACCESS_FINE_LOCATION
			RP_status = RP_status + 1
			If Result Then
				RP_right = Bit.Or(RP_right,4)
			End If
		Case Else
	End Select
	Log("Activity_PermissionResult")
	Log("rp_status "& RP_status)
	Log("rp_right "& RP_right)
End Sub



#Region Button Click 

Private Sub Button1_Click '展示激励广告
	
End Sub

Private Sub Button2_Click '请求激励广告

End Sub

Private Sub Button3_Click
	
End Sub

Private Sub Button4_Click
	StartActivity(Main)
End Sub

#End Region

Sub GetRealWidth As Int
	Dim jo As JavaObject
	jo = jo.InitializeContext.RunMethodJO("getWindowManager", Null).RunMethod("getDefaultDisplay", Null)
	
	Dim metrics As JavaObject
	metrics.InitializeNewInstance("android.util.DisplayMetrics", Null)
	jo.RunMethod("getRealMetrics", Array(metrics))
	
	Return metrics.GetField("widthPixels")
End Sub

Sub GetRealHeight As Int
	Dim jo As JavaObject
	jo = jo.InitializeContext.RunMethodJO("getWindowManager", Null).RunMethod("getDefaultDisplay", Null)
	
	Dim metrics As JavaObject
	metrics.InitializeNewInstance("android.util.DisplayMetrics", Null)
	jo.RunMethod("getRealMetrics", Array(metrics))
	
	Return metrics.GetField("heightPixels")
End Sub

Sub ForceOro	
	Dim w As Int = GetRealWidth
	Dim h As Int = GetRealHeight
	Log("h "&h & "w "&w)
	If w < h Then
				
		Activity.Finish
		StartActivity(Me)
	End If
End Sub

Sub ReSetOro
	Starter.MyPhone.SetScreenOrientation(-1)
End Sub

Sub GetElapsedRealtime As Long
	Dim r As Reflector
	Return r.RunStaticMethod("android.os.SystemClock", "elapsedRealtime", Null, Null)
End Sub
