﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.9
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Public const SCREEN_UNSPECIFIED As Int = -1
	Public const SCREEN_LANDSCAPE As Int = 0
	Public const SCREEN_PORTRAIT As Int = 1

	Public PauseFrom As Int = 0
	Public const PAUSEFROM_STARTER As Int = 0
	Public const PAUSEFROM_MAIN As Int = 1
	Public const PAUSEFROM_OTHER As Int = 2
	Public const PAUSEFROM_SETUP As Int = 3
	
	'----------'----------'----------'----------

	Public RP As RuntimePermissions
	
	Public MyPhone As Phone
	
	'----------'----------'----------'----------
	
	Public GDTADManager As JavaObject
	Private starter_ctxt As JavaObject
	'1101152570 demo appid
	Private APPID As String = "1101152570"
	
	'----------'----------'----------'----------
	Public SplashAD As AD_Splash
	Private SplashADCallBackModule As Object
	Private SplashADEventName As String = ""
	' "2001447730515391"
	' "8863364436303842593"
	' "4090599490374470"
	' "6030397430978491" 'portrait view / split joint portrait view
	Private const SplashAD_PosID As String = "8863364436303842593"
	
	'----------'----------'----------'----------
	Public DownloadConfirm1 As DownloadConfirmHelp
End Sub

#Region Service Function

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	PauseFrom = PAUSEFROM_STARTER
	
	InitialGDTADManager
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

#End Region

#Region QQAD SDK

Sub InitialGDTADManager
	'ref java code:
	'GDTADManager.getInstance().initWith(applicationContext, "APPID");

	starter_ctxt.InitializeContext
	
	If GDTADManager.IsInitialized = False Then
		Log("GDTADManager Init")
		GDTADManager = GDTADManager.InitializeStatic("com.qq.e.comm.managers.GDTADManager").RunMethod("getInstance",Null)
		GDTADManager.RunMethod("initWith",Array(starter_ctxt,APPID))
	End If
	
	Dim flag As Boolean = False
	flag = GDTADManager.RunMethod("isInitialized",Null)
	Log("GDTADManager Init : "&flag)
End Sub

#End Region

#Region SplashAD Function

Sub Initial_SplashAD(mmodule As Object,ctxt1 As JavaObject,pnlbtn As Panel, meventname As String)
	SplashADCallBackModule = mmodule
	SplashADEventName = meventname
	
	SplashAD.Initialize(Me,ctxt1,pnlbtn,SplashAD_PosID,0,"SplashAD")
End Sub

Sub SplashAD_onADClicked
	'log("SplashAD_onADClicked")
	
	If SubExists(SplashADCallBackModule,SplashADEventName&"_onADClicked") Then
		CallSubDelayed(SplashADCallBackModule,SplashADEventName & "_onADClicked")
	End If
End Sub			

Sub SplashAD_onADDismissed
	'Log("SplashAD_onADDismissed")
			
	If SubExists(SplashADCallBackModule,SplashADEventName&"_onADDismissed") Then
		CallSubDelayed(SplashADCallBackModule,SplashADEventName & "_onADDismissed")
	End If
End Sub

Sub SplashAD_onADExposure
	'Log("SplashAD_onADExposure")
			
	If SubExists(SplashADCallBackModule,SplashADEventName&"_onADExposure") Then
		CallSubDelayed(SplashADCallBackModule,SplashADEventName & "_onADExposure")
	End If
End Sub

Sub SplashAD_onADLoaded(expireTimestamp As Long)
	'Log("SplashAD_onADLoaded")
	'Log("expireTimestamp " & expireTimestamp)
			
	If SubExists(SplashADCallBackModule,SplashADEventName&"_expireTimestamp") Then
		CallSubDelayed2(SplashADCallBackModule,SplashADEventName & "_expireTimestamp",expireTimestamp)
	End If
End Sub

Sub SplashAD_onADPresent
	'Log("SplashAD_onADPresent")
			
	If SubExists(SplashADCallBackModule,SplashADEventName&"_onADPresent") Then
		CallSubDelayed(SplashADCallBackModule,SplashADEventName & "_onADPresent")
	End If
End Sub

Sub SplashAD_onADTick(millisUntilFinished As Long)
	'Log("SplashAD_onADTick")
	'Log("millisUntilFinished " & millisUntilFinished)
	
	If SubExists(SplashADCallBackModule,SplashADEventName&"_onADTick") Then
		CallSubDelayed2(SplashADCallBackModule,SplashADEventName & "_onADTick",millisUntilFinished)
	End If
End Sub

Sub SplashAD_onNoAD(AdErrorCode As Int,ADErrorMsg As String)
	'Log("SplashAD_onNoAD")
	'Log("AdErrorCode "&AdErrorCode) 'int
	'Log("ADErrorMsg "&ADErrorMsg) 'string
			
	If SubExists(SplashADCallBackModule,SplashADEventName&"_onNoAD") Then
		CallSubDelayed3(SplashADCallBackModule,SplashADEventName & "_onNoAD",AdErrorCode,ADErrorMsg)
	End If
End Sub

#End Region